AlertFiredEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.AlertFiredEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class AlertFiredEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.events.AlertFiredEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface

    public class AlertFiredEvent

extends AbstractEvent
implements java.io.Serializable, ResourceEventInterface, LoggableInterface

Event sent when alerts have fired

See Also:
  Serialized Form

Constructor Summary
`AlertFiredEvent(java.lang.Integer alertId, java.lang.Integer alertDefinitionId, AppdefEntityID resource, java.lang.String alertDefName, long timestamp, java.lang.String message)` Creates a new instance of AlertFiredEvent

Method Summary
`java.lang.String` | `getAlertDefName()`
`java.lang.Integer` | `getAlertId()`
`java.lang.String` | `getLevelString()`
`java.lang.String` | `getMessage()` Getter for property message.
`AppdefEntityID` | `getResource()`
`java.lang.String` | `getSubject()`
`void` | `setAlertDefName(java.lang.String alertDefName)`
`void` | `setAlertId(java.lang.Integer alertId)`
`void` | `setMessage(java.lang.String message)` Setter for property message.
`void` | `setResource(AppdefEntityID resource)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertFiredEvent

    public AlertFiredEvent(java.lang.Integer alertId,
                           java.lang.Integer alertDefinitionId,
                           AppdefEntityID resource,
                           java.lang.String alertDefName,
                           long timestamp,
                           java.lang.String message)

  Creates a new instance of AlertFiredEvent

  Parameters:
    `alertId` - The ID of the alert created
    `alertDefinitionId` - The ID of the corresponding alert definition
    `resource` - The alerting resource
    `alertDefName` - The name of the corresponding alert definition
    `timestamp` - The time the alert was fired
    `message` - The message associated with the event

Method Detail

### getMessage

    public java.lang.String getMessage()

  Getter for property message.

  Returns:
    Value of property message.

### setMessage

    public void setMessage(java.lang.String message)

  Setter for property message.

  Parameters:
    `message` - New value of property message.

### getAlertId

    public java.lang.Integer getAlertId()

  Returns:
    Returns the alertId.

### setAlertId

    public void setAlertId(java.lang.Integer alertId)

  Parameters:
    `alertId` - The alertId to set.

### getResource

    public AppdefEntityID getResource()

  Specified by:
    `getResource` in interface `ResourceEventInterface`

### setResource

    public void setResource(AppdefEntityID resource)

### getAlertDefName

    public java.lang.String getAlertDefName()

### setAlertDefName

    public void setAlertDefName(java.lang.String alertDefName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLevelString

    public java.lang.String getLevelString()

  Specified by:
    `getLevelString` in interface `LoggableInterface`

### getSubject

    public java.lang.String getSubject()

  Specified by:
    `getSubject` in interface `LoggableInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.